%define name libraw1394
%define version 0.9.0
%define release 2mdk

%define major 5
%define libname libraw1394_%{major} 

Summary: FireWire interface
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Source0: %{name}_%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kernel >= 2.4.2
Obsoletes: %name-%major
Url: http://linux1394.sourceforge.net/

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

Warning: this requires 2.4.x kernel

%package -n %{libname}
Summary: FireWire interface
Group: System/Libraries
Obsoletes: libraw1394
Provides: libraw1394

%description -n %{libname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

Warning: this requires 2.4.x kernel


%package -n %{libname}-devel
Summary: FireWire interface
Group: Development/C
Provides: libraw1394-devel
Requires: libraw1394_5 = %{version}

%description -n %{libname}-devel
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

Warning: this requires 2.4.x kernel


%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%name-%version

%setup -q

%build

./configure --prefix=%_prefix 

%make

%install

make prefix=$RPM_BUILD_ROOT%_prefix install

# Commented out by Grgoire, Aug 26 2001
# Because the headers are supposed to be in %_includedir/%name/
# mv $RPM_BUILD_ROOT/%_includedir/%name/* $RPM_BUILD_ROOT/%_includedir/.

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS INSTALL COPYING.LIB  COPYING AUTHORS
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(- ,root,root)
%{_libdir}/libraw1394.la
%{_libdir}/libraw1394.a
%{_includedir}/*
%{_libdir}/libraw1394.so

%changelog
* Sun Aug 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- fixes from Grgoire Colbert <gregus@linux-mandrake.com> :
	- headers files go in %_includedir/libraw1394/ not %_includedir

* Sat Aug 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-1mdk
- rename to libraw1394_4
- updated to 0.9.0

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- move headers

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Fri Jan 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-3mdk
- apply library policy

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- clean spec

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- initial spec
